# Migrate Process XML

Migrate Process XML is a handy module that reads XML and allows you to extract particular key sections using XPath.

## Usage

This module provides the following migration process plugins:

* xhtml: Attempts to convert permissive HTML into strict XHTML. Useful as a first step in a process pipeline.
* xpath: Which allows you to run an xpath query against a field value, returning an XML string.
* xvalue: Same thing as xpath, but returns only the body value of the query rather than XML.

Use like any other process plugin:

```yaml
  field_html:
    source: html
    plugin: xhtml
  field_title:
    source: '@field_html'
    plugin: xvalue
    xpath: '//*[local-name()="TITLE"]'
  field_subtitle:
    source: '@field_html'
    plugin: xpath
    xpath: '//*[local-name()="h1"]'
```
