<?php


namespace Drupal\migrate_process_xml\Plugin\migrate\process;

use Drupal\migrate\MigrateException;
use Drupal\migrate\ProcessPluginBase;
use Drupal\migrate\MigrateExecutableInterface;
use Drupal\migrate\Row;

/**
 * Attempts to read html from a provided field and convert it to XHTML.
 *
 * @MigrateProcessPlugin(
 *   id = "xhtml"
 * )
 *
 */
class Xhtml extends ProcessPluginBase {

  /**
   * {@inheritdoc}
   */
  public function transform($value, MigrateExecutableInterface $migrate_executable, Row $row, $destination_property) {

    // Skip everything if the value is empty.
    if (empty($value)) {
      return NULL;
    }

    // Create the DOMDocument object.
    $dom = new \DOMDocument();

    // Load the HTML...
    $dom->loadHTML($value, \LIBXML_NOWARNING | \LIBXML_NOERROR);

    // ...and convert it to a safe XML format.
    $content = $dom->saveXML();

    return $content;
  }
}
